知链客户专区

欢迎!

This community is for professionals and enthusiasts of our products and services.
Share and discuss the best content and new marketing ideas, build your professional profile and become a better marketer together.

网站更换模板时出错。

Closed

The question has been closed 原因: 不相关或过时了

作者
Administrator
2021年02月26日 08时22分06秒

错误:

Odoo Server Error


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5000, in ensure_one

    _id, = self._ids

ValueError: too many values to unpack (expected 1)


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 624, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 310, in _handle_exception

    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])

  File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 14, in reraise

    raise value

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 669, in dispatch

    result = self._call_function(**self.params)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 350, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 339, in checked_call

    result = self.endpoint(*a, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 915, in __call__

    return self.method(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap

    response = f(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1326, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1314, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 387, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 374, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/website_theme_install/models/ir_module_module.py", line 356, in button_choose_theme

    self._theme_remove(website)

  File "/usr/lib/python3/dist-packages/odoo/addons/website_theme_install/models/ir_module_module.py", line 332, in _theme_remove

    self.env['theme.utils'].with_context(website_id=website.id)._reset_default_config()

  File "/usr/lib/python3/dist-packages/odoo/addons/website_theme_install/models/theme_models.py", line 177, in _reset_default_config

    'buttons-font-number': 'null',

  File "/usr/lib/python3/dist-packages/odoo/addons/website/models/assets.py", line 29, in make_scss_customization

    updatedFileContent = self.get_asset_content(custom_url) or self.get_asset_content(url)

  File "/usr/lib/python3/dist-packages/odoo/addons/web_editor/models/assets.py", line 66, in get_asset_content

    return attachment and base64.b64decode(attachment.datas) or False

  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 984, in __get__

    record.ensure_one()

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5003, in ensure_one

    raise ValueError("Expected singleton: %s" % self)

ValueError: Expected singleton: ir.attachment(6744, 6663)

头像
丢弃